image: golang:latest

/* 
set project environment variables:
 GITLAB_TOKEN: "your_access_token"
 GROUP_ID: "your_group_id"
*/

stages:
  - build
  - report

build:
  stage: build
  script:
    - go build -o user-report main.go

report:
  stage: report
  script:
    - ./user-report
  artifacts:
    paths:
      - users.html

